Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class StandardAnsiSqlAggregationFunctions

    java.lang.Object
      org.hibernate.dialect.function.StandardAnsiSqlAggregationFunctions

    public class StandardAnsiSqlAggregationFunctions

extends Object

Centralized definition of standard ANSI SQL aggregation functions

Nested Class Summary
`static class` | `StandardAnsiSqlAggregationFunctions.AvgFunction` Definition of a standard ANSI SQL compliant `AVG` function
`static class` | `StandardAnsiSqlAggregationFunctions.CountFunction` Definition of a standard ANSI SQL compliant `COUNT` function
`static class` | `StandardAnsiSqlAggregationFunctions.MaxFunction`
`static class` | `StandardAnsiSqlAggregationFunctions.MinFunction`
`static class` | `StandardAnsiSqlAggregationFunctions.SumFunction`

Constructor Summary
`StandardAnsiSqlAggregationFunctions()`

Method Summary
`static void` | `primeFunctionMap(Map<String,SQLFunction> functionMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardAnsiSqlAggregationFunctions

    public StandardAnsiSqlAggregationFunctions()

Method Detail

### primeFunctionMap

    public static void primeFunctionMap(Map<String,SQLFunction> functionMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.